Subject: bug#11810: 24.1.50; `vc-diff' shrinks pre-existing window

From: Dmitry Gutov <[email-masked]>
Date: Fri, 06 Jul 2012 16:25:57 +0400

On 06.07.2012 10:36, martin rudalics wrote:
>  >> I'm more concerned with the fact that an application might reuse the
>  >> shrunk window via `display-buffer'.
>  >
>  > In this case, unless the new buffer is the same as the one already
>  > displayed in the shrunk window, `display-buffer-record-window' will
>  > overwrite the 'quit-restore parameter, so I don't see what the problem
>  > scenario would be. Hadn't managed to reproduce one either.
>
> Consider users with always <= 2 windows per frame: If `display-buffer'
> displays some temporary buffer in the other, reused window, shrinking it
> to some few lines, calling `switch-to-buffer-other-window' in that
> situation won't be of much fun.

But that's an old issue. We could either prohibit shrinking, which 
apparently isn't an option, or restore saved height before displaying 
the new buffer (in `display-buffer-use-some-window', for example).
Would that be the expected behavior?

>  >>  > If someone wants `shrink-window-if-...' to have no effect only in
>  >>  > `vc-diff', well, that's a different goal.
>  >>
>  >> But that's probably what some people want.
>  >
>  > I don't think we've seen a request exactly like that yet, but that would
>  > require a vc-prefixed variable.
>
> When we get such a request you'll take care of it ;-)

Maybe. :) You'd have to notify me if I miss the bug.

>  > window.el (quit-window): Always restore window height when it's saved in
>  > quit-restore parameter.
>
> Installed as revision 108897.

Works as expected. I believe this can be tagged as fixed now.

--Dmitry